﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ASPGridVS2010
{
    public partial class _Default : System.Web.UI.Page
    {
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
            BindCountry();
        }

        private void BindDataSource()
        {
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                order.Add(new Orders(code + 1, "Austria", i + 0, 2.3 * i, "Münster", "Toms Spezialitäten", new DateTime(1991, 05, 15), "Germany", "44087", false));
                order.Add(new Orders(code + 2, "Australia", i + 2, 3.3 * i, "Rio de Janeiro", "Hanari Carnes", new DateTime(1990, 04, 04), "Brazil", "05454-876", true));
                order.Add(new Orders(code + 3, "Antarctica", i + 1, 4.3 * i, "Lyon", "Victuailles en stock", new DateTime(1957, 11, 30), "France", "69004", true));
                order.Add(new Orders(code + 4, "Bangladesh", i + 3, 5.3 * i, "Reims", "Vins et alcools Chevalier", new DateTime(1930, 10, 22), "France", "51100", true));
                order.Add(new Orders(code + 5, "Brazil", i + 4, 6.3 * i, "Charleroi", "Suprêmes délices", new DateTime(1953, 02, 18), "Belgium", "B-6000", false));
                code += 5;
            }
            this.OrdersGrid.DataSource = order;
            this.OrdersGrid.Columns[1].DataSource = BindCountry();
            this.OrdersGrid.DataBind();
        }


        [WebMethod]
        public static string dropdowndata(string id)
        {
            int val;
            if (id == "Austria")
                val = 3;
            else if (id == "Australia")
                val = 4;
            else if (id == "Antarctica")
                val = 5;
            else if (id == "Bangladesh")
                val = 6;
            else
                val = 8;
            return val.ToString();
        }


        private object BindCountry()
        {
            List<Countries> c = new List<Countries>();
            c.Add(new Countries { text = "Austria", ID = "100001" });
            c.Add(new Countries { text = "Australia", ID = "20002" });
            c.Add(new Countries { text = "Antarctica", ID = "300003" });
            c.Add(new Countries { text = "Bangladesh", ID = "400004" });
            c.Add(new Countries { text = "Brazil", ID = "500005" });

            return c;
            
        }

        [Serializable]
        class Countries
        {
            public string text;
            public string ID;
        }



        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, string ShipCity, string ShipName,
                DateTime OrderDate, string ShipCountry, string ShipPostalCode, bool Verified)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.ShipCity = ShipCity;
                this.ShipName = ShipName;
                this.OrderDate = OrderDate;
                this.ShipCountry = ShipCountry;
                this.ShipPostalCode = ShipPostalCode;
                this.Verified = Verified;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public string ShipCity { get; set; }
            public string ShipName { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCountry { get; set; }
            public string ShipPostalCode { get; set; }
            public bool Verified { get; set; }
        }
    }
}